## jwm 2.3.5

=== contrib/Makefile ===
ICONDIR = $(DESTDIR)/usr/local/share/jwm

ICONS = jwm.xbm jwm-gray.svg jwm-blue.svg jwm-orange.svg

install:
	install -d $(ICONDIR)
	for f in $(ICONS) ; do \
		install -m 0644 $$f $(ICONDIR)/$$f ; \
	done

uninstall:
	for f in $(ICONS) ; do \
		rm -f $(ICONDIR)/$$f ; \
	done

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.18
GETTEXT_MACRO_VERSION = 0.18

PACKAGE = jwm
VERSION = 2.3.5
PACKAGE_BUGREPORT = joewing@joewing.net

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = /usr/local
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = /usr/local/share/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# @install_sh@ does not start with $(SHELL), so we add it.
# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) /usr/bin/install -c -d
install_sh = $(SHELL) /usr/bin/install -c
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

GMSGFMT_ = /usr/bin/gmsgfmt
GMSGFMT_no = /usr/bin/gmsgfmt
GMSGFMT_yes = /usr/bin/gmsgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /usr/bin/msgfmt
MSGFMT_no = /usr/bin/msgfmt
MSGFMT_yes = /usr/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/bin/xgettext
XGETTEXT_no = /usr/bin/xgettext
XGETTEXT_yes = /usr/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  de.po es.po fr.po hu.po it.po nl.po pl.po pt.po pt_BR.po ru.po zh_CN.po
GMOFILES =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo
UPDATEPOFILES =  de.po-update es.po-update fr.po-update hu.po-update it.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update zh_CN.po-update
DUMMYPOFILES =  de.nop es.nop fr.nop hu.nop it.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop zh_CN.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/action.c \
     ../src/background.c \
     ../src/border.c \
     ../src/button.c \
     ../src/client.c \
     ../src/clientlist.c \
     ../src/clock.c \
     ../src/color.c \
     ../src/command.c \
     ../src/confirm.c \
     ../src/cursor.c \
     ../src/debug.c \
     ../src/desktop.c \
     ../src/dock.c \
     ../src/error.c \
     ../src/event.c \
     ../src/font.c \
     ../src/grab.c \
     ../src/gradient.c \
     ../src/group.c \
     ../src/help.c \
     ../src/hint.c \
     ../src/icon.c \
     ../src/image.c \
     ../src/key.c \
     ../src/lex.c \
     ../src/main.c \
     ../src/match.c \
     ../src/menu.c \
     ../src/misc.c \
     ../src/move.c \
     ../src/outline.c \
     ../src/pager.c \
     ../src/parse.c \
     ../src/place.c \
     ../src/popup.c \
     ../src/render.c \
     ../src/resize.c \
     ../src/root.c \
     ../src/screen.c \
     ../src/settings.c \
     ../src/spacer.c \
     ../src/status.c \
     ../src/swallow.c \
     ../src/taskbar.c \
     ../src/timing.c \
     ../src/tray.c \
     ../src/traybutton.c \
     ../src/winmenu.c

CATALOGS =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = jwm

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Free Software Foundation, Inc.

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = joewing@joewing.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: check-macro-version all-yes

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:
	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if LC_ALL=C grep 'GNU jwm' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
	  package_gnu='GNU '; \
	else \
	  package_gnu=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_gnu}jwm" \
	      --package-version='2.3.5' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	esac
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) \
	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
	           *) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
	         esac; \
	       }; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \

=== debian/changelog ===
jwm (2.3.5-2) unstable; urgency=medium

  * Apply wrap-and-sort -a.
  * debian/control: Remove libpng12-dev in favor of libpng-dev
    (closes: #820575).

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Sun, 10 Apr 2016 17:26:05 -0300

jwm (2.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/clean: Add contrib/Makefile (new directory with jwm logos).
  * debian/control: Standards-Version: Update to 3.9.8.
  * debian/copyright: Update upstream's copyright to 2016.
  * debian/install: Add red logo.
  * debian/patches:
    - 01-example-jwmrc.patch: Update to reflect upstream changes, default to a
      Debian themed logo as menu icon and limit its height.
    - 70-reproducible-build.patch: Update to reflect upstream changes.
    - 80-hurd-compat.patch: Remove, applied upstream.
  * debian/rules:
    - override_dh_auto_install: No more need to rename pt-br file, applied
      upstream.

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Sat, 09 Apr 2016 17:38:50 -0300

jwm (2.3.4-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/menu-method:
    - Entitize quotes, thanks to Kevin Ryde <user42@zip.com.au>
      (closes: #735608).

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Thu, 24 Mar 2016 10:54:32 -0300

jwm (2.3.4-2) experimental; urgency=medium

  * debian/patches:
    - 80-hurd-compat.patch: Add patch to make jwm buildable on hurd by
      removing the use of SA_NOCLDWAIT.

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Wed, 23 Mar 2016 22:47:07 -0300

jwm (2.3.4-1) unstable; urgency=medium

  [ Samuel Henrique Oltramari Pinto (SamuelOPH) ]
  * New maintainer. Thanks to all previous people that have helped this
    package, special mention to Reiner Herrmann <reiner@reiner-h.de>, whom
    happened to be preparing an QA upload while i was adopting the package,
    some of his improvements are credited in this changelog. I also would
    like to thank Joao Eriberto Mota Filho <eriberto@debian.org>, whom
    sponsored me and dedicated a lot of time and effort into checking my
    changes (closes: #789279).
  * New upstream release (closes: #805420, LP: #205431).
    - Adjustments to AltGr key handling (closes: #590621).
    - Easier desktop switching when dragging windows (closes: #567557).
    - Fix fribidi usage (closes: #739391).
    - Fix parsing commands with XML escapes (closes: #735606).
    - Polish translation (closes: #687646).
    - Update _NET_WM_STATE (closes: #718008).
  * debian/clean:
    - Add po/*.gmo.
    - Remove *.log, it's not needed.
  * debian/control:
    - Build-Depends:
      ~ Add dh-autoreconf, break wide lines and order entries.
      ~ Add dependencies to support svg and png icons (thanks to Israel Dahl
        <israeldahl@gmail.com> for the suggestion and and help), note that
        this also means more Depends to the binary as well.
    - Description: Add Openbox reference and break lines to provide a smoother
      reading experience.
    - Homepage: Remove package's field, only source needs it.
    - Vcs-Git: Use same as Vcs-Browser.
    - Suggests: Move menu to Recommends.
  * debian/copyright:
    - Add entry for new maintainer.
    - Remove unneeded fields.
    - Update years.
  * debian/docs:
    - Remove README.Debian-source.
    - Move example.jwmrc to debian/examples and remove debian/docs because
      it's empty now.
  * debian/install:
    - Add xslt that migrates 2.2 config files to 2.3 version in usr/lib/jwm.
    - Remove entry that upstream already installs.
  * debian/jwm.desktop:
    - Add keywords.
    - Rename to from Jwm.desktop to jwm.desktop.
  * debian/jwm-poweroff.sh: support different shutdown methods and frontends,
    thanks to Israel Dahl <israeldahl@gmail.com>.
  * debian/manpages: Remove, installed by upstream.
  * debian/menu: Remove in accordance with CTTE #741573.
  * debian/menu-method: Remove obsolete info and update jwm.desktop name.
  * debian/NEWS.Debian: Warn about new changes.
  * debian/patches:
    - Remove:
      ~ 30-jwmrc--terminal--browser--menu-heigh.patch: Cosmetic and relies on
        personal preferences.
      ~ 31-jwmrc--fonts.patch: Cosmetic and relies on personal preferences.
      ~ 32-jwmrc--colors.patch: Cosmetic and relies on personal preferences.
      ~ 50-jwmrc--removed-menus.patch: New patch 01-example-jwmrc.patch
        deprecate this.
      ~ 55-alt-tab.patch: Already in upstream.
      ~ 57-jwmrc--debian-include.patch: New patch 01-example-jwmrc.patch
       deprecate this.
    - Update and rename:
      ~ 03-man-jwmrc.patch: Update and rename to
        03-manual-config-location.patch (closes: #735616).
      ~ 10-jwmrc--clock-24h-format.patch: Update and rename to
        10-clock-24h-format.patch.
    - New:
      ~ 01-example-jwmrc.patch: Use debian menu and add IconPath (LP: #250208).
  * debian/README.Debian:
    - Remove file, it's obsolete and one of the causes of #735616.
  * debian/README.Debian-source: Remove file, it's obsolete and not necessary.
  * debian/rules:
    - Add autoreconf (closes: #727911).
    - Fix typo at DEB_LDFaLAGS_MAINT_APPEND.
    - Remove unneeded pedantic export.
    - override_dh_auto_install: Changes to comply with ISO 639-1.
    - override_dh_install: Remove, it's not needed.
    - override_dh_installchangelogs: Remove, it's not needed.
  * debian/TODO:
    - Remove, used by last maintainer and obsolete.
  * debian/upstream.changelog:
    - Remove because it is not necessary.

  [ Reiner Herrmann ]
  * debian/control:
    - Build-Depends: Drop unneeded build dependencies and versions.
  * debian/patches:
    ~ 60-include-order.patch: fix inconsistent include order (closes: #748592).
    ~ 70-reproducible-build.patch: Allows reproducible building.
  * debian/rules: Enable parallel building.

  [ Norbert Preining ]
  * Remove all maintainer scripts.
  * Stop fetching changelog from defunct svn repo.


=== debian/control ===
Source: jwm
Section: x11
Priority: optional
Maintainer: Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcairo2-dev,
               libfribidi-dev,
               libjpeg-dev | libjpeg9-dev,
               libpng-dev,
               librsvg2-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxmu-dev,
               libxpm-dev,
               libxrender-dev
Standards-Version: 3.9.8
Homepage: http://joewing.net/projects/jwm/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/jwm.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/jwm.git

Package: jwm
Provides: x-window-manager
Architecture: any
Depends: rxvt-unicode-256color | rxvt-unicode | rxvt-unicode-lite |
         gnome-terminal | konsole | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: menu
Suggests: x11-apps
Description: very small lightweight pure X11 window manager with tray and menus
 Low resource Window manager ideal for older PCs. It uses a minimum of
 external libraries, thus very little memory, includes virtual screens,
 menubar and root-menu popup.
 .
 JWM is a window manager for the X11 Window System. JWM is written in
 C and uses only Xlib and (optionally) the shape extension and libXpm.
 It can support some MWM, GNOME, and WM Spec hints. The menu configuration
 files are managed in XML format.
 .
 Compared to other light WM, like FVWM or Openbox, the Jwm consumes
 considerably less memory while providing the same functionality.

## jwm 2.3.6

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 GETTEXT_MACRO_VERSION = 0.18
 
 PACKAGE = jwm
-VERSION = 2.3.5
+VERSION = 2.3.6
 PACKAGE_BUGREPORT = joewing@joewing.net
 
 SHELL = /bin/sh
@@ -44,9 +44,9 @@
 MKDIR_P = /bin/mkdir -p
 mkdir_p = /bin/mkdir -p
 
-GMSGFMT_ = /usr/bin/gmsgfmt
-GMSGFMT_no = /usr/bin/gmsgfmt
-GMSGFMT_yes = /usr/bin/gmsgfmt
+GMSGFMT_ = /usr/bin/msgfmt
+GMSGFMT_no = /usr/bin/msgfmt
+GMSGFMT_yes = /usr/bin/msgfmt
 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
 MSGFMT_ = /usr/bin/msgfmt
 MSGFMT_no = /usr/bin/msgfmt
@@ -62,10 +62,10 @@
 MSGCONV = msgconv
 MSGFILTER = msgfilter
 
-POFILES =  de.po es.po fr.po hu.po it.po nl.po pl.po pt.po pt_BR.po ru.po zh_CN.po
-GMOFILES =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo
-UPDATEPOFILES =  de.po-update es.po-update fr.po-update hu.po-update it.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update zh_CN.po-update
-DUMMYPOFILES =  de.nop es.nop fr.nop hu.nop it.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop zh_CN.nop
+POFILES =  de.po es.po fr.po hu.po it.po nl.po pl.po pt.po pt_BR.po ru.po zh_CN.po zh_TW.po
+GMOFILES =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
+UPDATEPOFILES =  de.po-update es.po-update fr.po-update hu.po-update it.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update zh_CN.po-update zh_TW.po-update
+DUMMYPOFILES =  de.nop es.nop fr.nop hu.nop it.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop zh_CN.nop zh_TW.nop
 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
@@ -119,11 +119,11 @@
      ../src/swallow.c \
      ../src/taskbar.c \
      ../src/timing.c \
+     ../src/traybutton.c \
      ../src/tray.c \
-     ../src/traybutton.c \
      ../src/winmenu.c
 
-CATALOGS =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo
+CATALOGS =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
 
 # Makevars gets inserted here. (Don't remove this line!)
 # Makefile variables for PO directory in any package using GNU gettext.
@@ -252,7 +252,7 @@
 	      --files-from=$(srcdir)/POTFILES.in \
 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
 	      --package-name="$${package_gnu}jwm" \
-	      --package-version='2.3.5' \
+	      --package-version='2.3.6' \
 	      --msgid-bugs-address="$$msgid_bugs_address" \
 	    ;; \
 	esac

=== debian/changelog ===
jwm (2.3.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 27 Aug 2016 15:02:39 +0000

jwm (2.3.6-1) unstable; urgency=medium

  * New upstream release (closes: #834889).
  * debian/control: Use maintainer's new id.
  * debian/copyright: The license of jwm changed from GPL2+ to Expat
    (MIT License expat compatible).
  * debian/menu-method: Remove confirm attribute (closes: #822915).
  * debian/patches:
    - The following patches were sent upstream and are no longer needed:
      ~ 10-clock-24h-format.patch
      ~ 60-include-order.patch
      ~ 70-reproducible-build.patch

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 20 Aug 2016 20:53:42 -0300

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = jwm
PKGDIR    = $(CURDIR)/debian/$(PACKAGE)
ETCDIR    = $(PKGDIR)/etc/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_install:
	dh_auto_install
	cp example.jwmrc $(ETCDIR)/system.$(PACKAGE)rc

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/jwm

=== debian/watch ===
version=4
http://joewing.net/projects/jwm/releases/ jwm[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## jwm 2.3.7

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 GETTEXT_MACRO_VERSION = 0.18
 
 PACKAGE = jwm
-VERSION = 2.3.6
+VERSION = 2.3.7
 PACKAGE_BUGREPORT = joewing@joewing.net
 
 SHELL = /bin/sh
@@ -62,10 +62,10 @@
 MSGCONV = msgconv
 MSGFILTER = msgfilter
 
-POFILES =  de.po es.po fr.po hu.po it.po nl.po pl.po pt.po pt_BR.po ru.po zh_CN.po zh_TW.po
-GMOFILES =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
-UPDATEPOFILES =  de.po-update es.po-update fr.po-update hu.po-update it.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update zh_CN.po-update zh_TW.po-update
-DUMMYPOFILES =  de.nop es.nop fr.nop hu.nop it.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop zh_CN.nop zh_TW.nop
+POFILES =  da.po de.po es.po fr.po hu.po it.po nl.po pl.po pt.po pt_BR.po ru.po zh_CN.po zh_TW.po
+GMOFILES =  da.gmo de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
+UPDATEPOFILES =  da.po-update de.po-update es.po-update fr.po-update hu.po-update it.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update zh_CN.po-update zh_TW.po-update
+DUMMYPOFILES =  da.nop de.nop es.nop fr.nop hu.nop it.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop zh_CN.nop zh_TW.nop
 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
@@ -123,7 +123,7 @@
      ../src/tray.c \
      ../src/winmenu.c
 
-CATALOGS =  de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
+CATALOGS =  da.gmo de.gmo es.gmo fr.gmo hu.gmo it.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo zh_CN.gmo zh_TW.gmo
 
 # Makevars gets inserted here. (Don't remove this line!)
 # Makefile variables for PO directory in any package using GNU gettext.
@@ -252,7 +252,7 @@
 	      --files-from=$(srcdir)/POTFILES.in \
 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
 	      --package-name="$${package_gnu}jwm" \
-	      --package-version='2.3.6' \
+	      --package-version='2.3.7' \
 	      --msgid-bugs-address="$$msgid_bugs_address" \
 	    ;; \
 	esac
@@ -318,5 +318,3 @@
 	for cat in $$catalogs; do \
 	  cat=`basename $$cat`; \
 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
-	  dir=$(localedir)/$$lang/LC_MESSAGES; \
-	  $(mkdir_p) $(DESTDIR)$$dir; \

=== debian/changelog ===
jwm (2.3.7-1) unstable; urgency=medium

  * New upstream version 2.3.7
  * Bump DH level to 10
    - Drop explicit usage of `--with autoreconf` from d/rules
    - Drop explicit usage of `--parallel` from d/rules
    - Remove dh-autoreconf Build-dep
  * Bump Standards-Version to 4.0.0
  * d/p/man-jwmrc: remove patch, no more needed (closes: #850165)

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 29 Jul 2017 11:02:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: jwm
 Section: x11
 Priority: optional
-Maintainer: Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Samuel Henrique <samueloph@gmail.com>
+Build-Depends: debhelper (>= 10),
                libcairo2-dev,
                libfribidi-dev,
                libjpeg-dev | libjpeg9-dev,
@@ -15,7 +14,7 @@
                libxmu-dev,
                libxpm-dev,
                libxrender-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://joewing.net/projects/jwm/
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/jwm.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/jwm.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

## jwm 2.4.0

=== debian/changelog ===
jwm (2.4.0-2) unstable; urgency=medium

  * d/control: Add new build-dep libpango1.0-dev (closes: #1001272)
    Thanks to Thom for reporting the issue.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 06 Jan 2022 18:44:36 -0300

jwm (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    - Introduce mouse bindings (closes: #497465)
    - Fix crashes Xorg server at first attempt using Move menu item
      (closes: #977878)
  * Bump Standards-Version to 4.6.0
  * d/menu-method: Add icons to debian-menu when possible, thanks to Kevin
    Ryde (closes: #735607)
  * d/install: Install poweroff script on libexec instead of lib
  * d/patches: Refresh patch 01-example-jwmrc and drop 02-fix-pkgconfig-usage-to-fix-FTCBFS
  * d/control:
    - Improve description by mentioning a few extra dependencies. Thanks to
      Ivan Shmakov on #960145
    - Drop obsolete deps from rxvt-unicode (closes: #994871)
  * d/watch: Remove filemangle in favor of lintian's suggestion 'prefer-uscan-symlink'

 -- Samuel Henrique <samueloph@debian.org>  Sun, 14 Nov 2021 13:58:48 +0000

jwm (2.3.7-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/p/02-fix-pkgconfig-usage-to-fix-FTCBFS.patch: New patch to fix FTCBFS
    (closes: #914637)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 11 Feb 2021 00:02:30 +0000

jwm (2.3.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add d/gbp.conf
  * Add debian/salsa-ci.yml
  * d/NEWS.Debian: Remove file, the news was for an ancient version
  * d/rules: Remove '-Wl,--as-needed', default on bullseye
  * d/jwm.desktop: Add an 'Icon' entry

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 20:14:14 +0000

jwm (2.3.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ Samuel Henrique ]
  * Bump DH level to 12
  * Update Standards-Version to 4.4.1
  * d/control: Add Rules-Requires-Root: no

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 22:48:11 +0000

jwm (2.3.7-2) unstable; urgency=medium

  * Bump DH level to 11
  * Bump Standards-Version to 4.2.1
  * Move packaging to salsa
  * Update my email to @debian.org
  * d/watch: point to github

 -- Samuel Henrique <samueloph@debian.org>  Sun, 30 Sep 2018 23:09:41 -0300

=== debian/control ===
Source: jwm
Section: x11
Priority: optional
Maintainer: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libfribidi-dev,
               libjpeg-dev | libjpeg9-dev,
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxmu-dev,
               libxpm-dev,
               libxrender-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://joewing.net/projects/jwm/
Vcs-Browser: https://salsa.debian.org/debian/jwm
Vcs-Git: https://salsa.debian.org/debian/jwm.git

Package: jwm
Provides: x-window-manager
Architecture: any
Depends: rxvt-unicode | gnome-terminal | konsole | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: menu
Suggests: x11-apps
Description: very small lightweight pure X11 window manager with tray and menus
 Low resource Window manager ideal for older PCs. It uses a minimum of
 external libraries, thus very little memory, includes virtual screens,
 menubar and root-menu popup.
 .
 JWM is a window manager for the X11 Window System. JWM is written in
 C and uses only Xlib and (optionally) the shape extension and libXpm.
 It can support some MWM, GNOME, and WM Spec hints. The menu configuration
 files are managed in XML format.
 .
 This JWM package is built with support for the full suite of supported
 image formats, including JPEG, PNG, SVG and XPM; as well as Xinerama
 and Xrender extensions, and FreeType-based font rendering.
 .
 Compared to other light WM, like FVWM or Openbox, the Jwm consumes
 considerably less memory while providing the same functionality.

=== debian/watch ===
version=4
https://github.com/joewing/jwm/tags .*/v?(\d\S+)\.tar\.gz

## jwm 2.4.2

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-2000 Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2000-2019 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.
#
# Origin: gettext-0.20
GETTEXT_MACRO_VERSION = 0.20

PACKAGE = jwm
VERSION = 2.4.2
PACKAGE_BUGREPORT = joewing@joewing.net

SED = /usr/bin/sed
SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = /usr/local
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = /usr/local/share/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /home/joewing/devel/jwm/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, $(MKDIR_P) is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /home/joewing/devel/jwm/install-sh -d
install_sh = $(SHELL) ${SHELL} /home/joewing/devel/jwm/install-sh
MKDIR_P = .././install-sh -c -d
mkdir_p = $(MKDIR_P)

# When building gettext-tools, we prefer to use the built programs
# rather than installed programs.  However, we can't do that when we
# are cross compiling.
CROSS_COMPILING = @CROSS_COMPILING@

GMSGFMT_ = /usr/local/bin/msgfmt
GMSGFMT_no = /usr/local/bin/msgfmt
GMSGFMT_yes = /usr/local/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/local/bin/xgettext
XGETTEXT_no = /usr/local/bin/xgettext
XGETTEXT_yes = /usr/local/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = /usr/local/bin/msgmerge
MSGMERGE_UPDATE = /usr/local/bin/msgmerge --update
MSGMERGE_FOR_MSGFMT_OPTION = --for-msgfmt
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  da.po de.po es.po fr.po hu.po it.po lt.po nl.po pl.po pt.po pt_BR.po ru.po tr.po zh_CN.po zh_TW.po uk.po
GMOFILES =  da.gmo de.gmo es.gmo fr.gmo hu.gmo it.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo tr.gmo zh_CN.gmo zh_TW.gmo uk.gmo
UPDATEPOFILES =  da.po-update de.po-update es.po-update fr.po-update hu.po-update it.po-update lt.po-update nl.po-update pl.po-update pt.po-update pt_BR.po-update ru.po-update tr.po-update zh_CN.po-update zh_TW.po-update uk.po-update
DUMMYPOFILES =  da.nop de.nop es.nop fr.nop hu.nop it.nop lt.nop nl.nop pl.nop pt.nop pt_BR.nop ru.nop tr.nop zh_CN.nop zh_TW.nop uk.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/action.c \
     ../src/background.c \
     ../src/binding.c \
     ../src/border.c \
     ../src/button.c \
     ../src/client.c \
     ../src/clientlist.c \
     ../src/clock.c \
     ../src/color.c \
     ../src/command.c \
     ../src/confirm.c \
     ../src/cursor.c \
     ../src/debug.c \
     ../src/default.c \
     ../src/desktop.c \
     ../src/dock.c \
     ../src/error.c \
     ../src/event.c \
     ../src/font.c \
     ../src/grab.c \
     ../src/gradient.c \
     ../src/group.c \
     ../src/help.c \
     ../src/hint.c \
     ../src/icon.c \
     ../src/image.c \
     ../src/lex.c \
     ../src/main.c \
     ../src/match.c \
     ../src/menu.c \
     ../src/misc.c \
     ../src/move.c \
     ../src/outline.c \
     ../src/pager.c \
     ../src/parse.c \
     ../src/place.c \
     ../src/popup.c \
     ../src/render.c \
     ../src/resize.c \
     ../src/root.c \
     ../src/screen.c \
     ../src/settings.c \
     ../src/spacer.c \
     ../src/status.c \
     ../src/swallow.c \
     ../src/taskbar.c \
     ../src/timing.c \
     ../src/tray.c \
     ../src/traybutton.c \
     ../src/winmenu.c

CATALOGS =  da.gmo de.gmo es.gmo fr.gmo hu.gmo it.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ru.gmo tr.gmo zh_CN.gmo zh_TW.gmo uk.gmo

POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
POFILESDEPS_yes = $(POFILESDEPS_)
POFILESDEPS_no =
POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))

DISTFILESDEPS_ = update-po
DISTFILESDEPS_yes = $(DISTFILESDEPS_)
DISTFILESDEPS_no =
DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = jwm

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Free Software Foundation, Inc.

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = joewing@joewing.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .sed .sin .nop .po-create .po-update

# The .pot file, stamp-po, .po files, and .gmo files appear in release tarballs.
# The GNU Coding Standards say in
# <https://www.gnu.org/prep/standards/html_node/Makefile-Basics.html>:
#   "GNU distributions usually contain some files which are not source files
#    ... . Since these files normally appear in the source directory, they
#    should always appear in the source directory, not in the build directory.
#    So Makefile rules to update them should put the updated files in the
#    source directory."
# Therefore we put these files in the source directory, not the build directory.

# During .po -> .gmo conversion, take into account the most recent changes to
# the .pot file. This eliminates the need to update the .po files when the
# .pot file has changed, which would be troublesome if the .po files are put
# under version control.
.po.gmo: $(srcdir)/$(DOMAIN).pot
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(MSGMERGE) $(MSGMERGE_FOR_MSGFMT_OPTION) -o $${lang}.1po $${lang}.po $(DOMAIN).pot && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.1po && rm -f $${lang}.1po"; \
	cd $(srcdir) && \
	rm -f $${lang}.gmo && \
	$(MSGMERGE) $(MSGMERGE_FOR_MSGFMT_OPTION) -o $${lang}.1po $${lang}.po $(DOMAIN).pot && \
	$(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.1po && \
	mv t-$${lang}.gmo $${lang}.gmo && \
	rm -f $${lang}.1po

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: $(srcdir)/stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
CHECK_MACRO_VERSION = \
	test "$(GETTEXT_MACRO_VERSION)" = "0.20" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.20" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, $(srcdir)/stamp-po is a nop (i.e. a phony target).

# $(srcdir)/stamp-po is a timestamp denoting the last time at which the CATALOGS
# have been loosely updated. Its purpose is that when a developer or translator
# checks out the package from a version control system, and the $(DOMAIN).pot
# file is not under version control, "make" will update the $(DOMAIN).pot and
# the $(CATALOGS), but subsequent invocations of "make" will do nothing. This
# timestamp would not be necessary if updating the $(CATALOGS) would always
# touch them; however, the rule for $(POFILES) has been designed to not touch
# files that don't need to be changed.
$(srcdir)/stamp-po: $(srcdir)/$(DOMAIN).pot
	@$(CHECK_MACRO_VERSION)
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch $(srcdir)/stamp-po" && \
	  echo timestamp > $(srcdir)/stamp-poT && \
	  mv $(srcdir)/stamp-poT $(srcdir)/stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
# The determination of whether the package xyz is a GNU one is based on the
# heuristic whether some file in the top level directory mentions "GNU xyz".
# If GNU 'find' is available, we avoid grepping through monster files.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	package_gnu="$(PACKAGE_GNU)"; \
	test -n "$$package_gnu" || { \
	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
	         LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -10000000c -exec grep -i 'GNU jwm' /dev/null '{}' ';' 2>/dev/null; \
	       else \
	         LC_ALL=C grep -i 'GNU jwm' $(top_srcdir)/* 2>/dev/null; \
	       fi; \
	     } | grep -v 'libtool:' >/dev/null; then \
	     package_gnu=yes; \
	   else \
	     package_gnu=no; \
	   fi; \
	}; \
	if test "$$package_gnu" = "yes"; then \
	  package_prefix='GNU '; \
	else \
	  package_prefix=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	      $(XGETTEXT_OPTIONS)  \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_prefix}jwm" \

=== debian/changelog ===
jwm (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * d/rules: Disable automake from dh_autoreconf as upstream does not ship
    Makefile.am
  * d/watch: Update watch file to retrieve the finalized tarball from upstream
    (not pre-processed sources)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 08 Jun 2022 19:56:52 +0100

jwm (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

 -- Samuel Henrique <samueloph@debian.org>  Tue, 01 Mar 2022 22:29:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 ETCDIR    = $(PKGDIR)/etc/$(PACKAGE)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Upstream does not ship Makefile.am, disable automake from dh_autoreconf
+export AUTOMAKE = true
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://github.com/joewing/jwm/releases .*/jwm-(\d\S+)\.tar\.xz

## jwm 2.4.3

=== debian/changelog ===
jwm (2.4.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:12 +1100

jwm (2.4.3-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:59:31 +0000

jwm (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Bump Standards-Version to 4.6.2
  * d/rules: Call upstream's autogen.sh during dh_autoreconf
  * d/watch: Update watch file for github

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Dec 2022 23:00:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jwm
 Section: x11
 Priority: optional
-Maintainer: Samuel Henrique <samueloph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
                libfribidi-dev,
@@ -15,7 +16,7 @@
                libxmu-dev,
                libxpm-dev,
                libxrender-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://joewing.net/projects/jwm/
 Vcs-Browser: https://salsa.debian.org/debian/jwm

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 	dh_auto_install
 	cp example.jwmrc $(ETCDIR)/system.$(PACKAGE)rc
 
+override_dh_autoreconf:
+	sh autogen.sh
+	dh_autoreconf
+
 override_dh_auto_configure:
 	dh_auto_configure -- --sysconfdir=/etc/jwm

## jwm 2.4.6

=== debian/changelog ===
jwm (2.4.6-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 11:58:35 +0000

jwm (2.4.6-2) unstable; urgency=medium

  [ Santiago Vila ]
  * d/p/gettext_021.patch: Fix build with gettext 0.23 (closes: #1092228)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 08 Feb 2025 23:08:21 +0000

jwm (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6 (closes: #1085709)
  * d/p/01-example-jwmrc: s/xterm/x-terminal-emulator (closes: #1033491)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 09 Nov 2024 18:26:44 +0000
